Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class WriterOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.fop.util.WriterOutputStream

public class WriterOutputStream
extends java.io.OutputStream

See Also:
  `WriterOutputStream`

Constructor Summary
`WriterOutputStream(java.io.Writer writer)` Deprecated.
`WriterOutputStream(java.io.Writer writer, java.lang.String encoding)` Deprecated.

Method Summary
`void` | `close()` Deprecated.
`void` | `flush()` Deprecated.
`void` | `write(byte[] buf)` Deprecated.
`void` | `write(byte[] buf, int offset, int length)` Deprecated.
`void` | `write(int b)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer)

  Deprecated.

See Also:
  `String)`

### WriterOutputStream

    public WriterOutputStream(java.io.Writer writer,
                              java.lang.String encoding)

  Deprecated.

See Also:
  `String)`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`
  See Also:
    `WriterOutputStream.close()`

### flush

    public void flush()
               throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`
  See Also:
    `WriterOutputStream.flush()`

### write

    public void write(byte[] buf,
                      int offset,
                      int length)
               throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`
  See Also:
    `WriterOutputStream.write(byte[], int, int)`

### write

    public void write(byte[] buf)
               throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`
  See Also:
    `WriterOutputStream.write(byte[])`

### write

    public void write(int b)
               throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`
  See Also:
    `WriterOutputStream.write(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.